/**********************************************************************
SQL Server Internals from the Practical Angle

Dmitri Korotkevitch
http://aboutsqlserver.com
dmitri@aboutsqlserver.com

Practical Troubleshooting: Lock Escalation (1)
**********************************************************************/

use TroubleshootingDb
go

DBCC SQLPERF ('sys.dm_os_wait_stats', CLEAR)
go

set transaction isolation level read uncommitted
begin tran
	update Delivery.Orders
	set OrderStatusId = 1
	where 
		OrderId in 
		(
			select top 10000 OrderId
			from Delivery.Orders
			order by OrderId
		)

	select * from sys.dm_tran_locks where request_session_id = @@SPID
	 -- and resource_type <> 'KEY'

rollback