declare
	@DriverId int 

while 1 = 1
begin
	select @DriverId = convert(int, rand() * 100)

	select top 10 
		o.OrderId, o.OrderNum, o.OrderDate,
		os.Name as Status,
		c.Name as CustomerName,
		s.Name as ServiceName,
		pa.Address as PickupAddr, pa.City as PickupCity, 
		pa.State as PickupState, pa.Zip as PickupZip,
		pa.Direction as PickupDirection, 
		da.Address as DeliveryAddr, da.City as DeliveryCity, 
		da.State as DeliveryState, da.Zip as DeliveryZip,
		da.Direction as DeliveryDirection
	from 
		Delivery.Orders o join Delivery.Addresses pa on
			o.PickupAddressId = pa.AddressId
		join Delivery.Addresses da on
			o.DeliveryAddressId = da.AddressId
		join Delivery.Customers c on
			o.CustomerId = c.CustomerID
		join Delivery.OrderStatuses os on
			o.OrderStatusId = os.OrderStatusId
		join Delivery.Services s on
			o.ServiceId = s.ServiceID
	where
		o.DriverId = @DriverID and
		o.OrderStatusId in (2,3)
	order by
		o.OrderDate desc;
	
	waitfor delay '0:00:00.025'
end